import { Expression } from '../expression';
import { StatementPossibilities, Statements } from './statement';
export declare function For(initialization: Expression, condition: Expression, loop: Expression, statements: StatementPossibilities, objectInitializer?: Partial<ForStatement>): ForStatement;
export declare class ForStatement extends Statements {
    initialization: Expression;
    condition: Expression;
    loop: Expression;
    constructor(initialization: Expression, condition: Expression, loop: Expression, statements: StatementPossibilities, objectInitializer?: Partial<ForStatement>);
    readonly implementation: string;
}
export declare function ForEach(variable: string, enumerable: Expression, statements: StatementPossibilities, objectInitializer?: Partial<ForStatement>): ForEachStatement;
export declare class ForEachStatement extends Statements {
    variable: string;
    enumerable: Expression;
    constructor(variable: string, enumerable: Expression, statements: StatementPossibilities, objectInitializer?: Partial<ForStatement>);
    readonly implementation: string;
}
//# sourceMappingURL=for.d.ts.map