import { Expression, ExpressionOrLiteral } from '../expression';
import { OneOrMoreStatements, Statements } from './statement';
export declare function Using(usingExpression: ExpressionOrLiteral, body: OneOrMoreStatements, objectInitializer?: Partial<UsingStatement>): UsingStatement;
export declare class UsingStatement extends Statements {
    usingExpression: Expression;
    constructor(usingExpression: ExpressionOrLiteral, statements: OneOrMoreStatements, objectInitializer?: Partial<UsingStatement>);
    readonly implementation: string;
}
//# sourceMappingURL=using.d.ts.map